Bug 236090 - ENHANCEMENT: Allow fence_egenera to specify ssh login name
ENHANCEMENT: Allow fence_egenera to specify ssh login name
Status: CLOSED DUPLICATE of bug 349381
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2007-04-11 17:41 EDT by Neal Pitts
Modified: 2009-04-16 16:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-20 16:15:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neal Pitts 2007-04-11 17:41:43 EDT
Description of problem:
ENHANCEMENT: Allow fence_egenera to specify ssh login name.  Currently, it only
logs into the cBlade for a fencing operation as the user that ran the script,
and practically speaking, that is always the root user.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
The current fence_egenera script logs into the cBlade as root for a fencing
operation.  This is preventing a security-conscious client from deploying GFS
clusters in their DMZ environment.  Doing SCSI-3 PR in this environment is not
yet a viable option.
Comment 1 Neal Pitts 2007-04-11 17:45:30 EDT
Preferably, the default user name for this enhancement would be 'fence', or
something similar.  This may or may not cause package update issues.  On the
BladeFrame, user 'fence' would have to have rights to the LPAN(s) containing the
servers (and corresponding blades) it needs to be able to fence.  This note
would have to be added to the documentation for fence_egenera.
Comment 2 Neal Pitts 2008-02-20 16:15:51 EST

*** This bug has been marked as a duplicate of 349381 ***

Note You need to log in before you can comment on or make changes to this bug.